BeagleWksSSParser Class Reference documentation

BeagleWksSSParser Class Referencefinal

the main class to read a BeagleWorks spreadsheet file More...

`#include <BeagleWksSSParser.hxx>`

Inheritance diagram for BeagleWksSSParser:

## Public Member Functions
| BeagleWksSSParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~BeagleWksSSParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWSpreadsheetParser
| ~MWAWSpreadsheetParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches)
void | newPage (int number)
| adds a new page
bool | sendSpreadsheet ()
| try to send the main spreadsheet
bool | sendText (MWAWEntry const &entry, bool headerFooter=false)
| try to send a text zone
bool | sendPageFrames ()
| try to send the page graphic
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame
bool | sendPicture (int pId, MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture
bool | createZones ()
| finds the different objects zones
bool | readRSRCZones ()
| read the resource fork zone
bool | readPrintInfo ()
| read the print info zone
bool | readChartZone ()
| read the chart zone
bool | readChart ()
| read a chart
bool | readSpreadsheet ()
| read the spreadsheet zone
bool | readRowSheet (BeagleWksSSParserInternal::Spreadsheet &sheet)
| read the spreadsheet row
bool | readCellSheet (BeagleWksSSParserInternal::Cell &cell)
| read a cell row
bool | readZone0 ()
| read an unknown zone ( which appears before and after the columns's width zone )
bool | readColumnWidths (BeagleWksSSParserInternal::Spreadsheet &sheet)
| read the columns widths
bool | readFormula (BeagleWksSSParserInternal::Spreadsheet &sheet)
| read the differents formula
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWSpreadsheetParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< BeagleWksSSParserInternal::State > | m_state
| the state
std::shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager

## Friends
struct | BeagleWksSSParserInternal::Chart
class | BeagleWksSSParserInternal::SubDocument

## Detailed Description

the main class to read a BeagleWorks spreadsheet file

## Constructor & Destructor Documentation

## ◆ BeagleWksSSParser()

BeagleWksSSParser::BeagleWksSSParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~BeagleWksSSParser()

BeagleWksSSParser::~BeagleWksSSParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool BeagleWksSSParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by BeagleWksSSParserInternal::SubDocument, and parse().

## ◆ createDocument()

void BeagleWksSSParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by BeagleWksSSParserInternal::SubDocument, and parse().

## ◆ createZones()

bool BeagleWksSSParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by BeagleWksSSParserInternal::SubDocument, and parse().

## ◆ getPageLeftTop()

MWAWVec2f BeagleWksSSParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

Referenced by BeagleWksSSParserInternal::SubDocument.

## ◆ init()

void BeagleWksSSParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by BeagleWksSSParser(), and BeagleWksSSParserInternal::SubDocument.

## ◆ newPage()

void BeagleWksSSParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by BeagleWksSSParserInternal::SubDocument.

## ◆ parse()

void BeagleWksSSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

Referenced by BeagleWksSSParserInternal::SubDocument.

## ◆ readCellSheet()

bool BeagleWksSSParser::readCellSheet | ( | BeagleWksSSParserInternal::Cell & | cell | ) |
| protected

read a cell row

Referenced by BeagleWksSSParserInternal::SubDocument, and readRowSheet().

## ◆ readChart()

bool BeagleWksSSParser::readChart | ( |  | ) |
| protected

read a chart

Referenced by BeagleWksSSParserInternal::SubDocument, and readChartZone().

## ◆ readChartZone()

bool BeagleWksSSParser::readChartZone | ( |  | ) |
| protected

read the chart zone

Referenced by BeagleWksSSParserInternal::SubDocument, and createZones().

## ◆ readColumnWidths()

bool BeagleWksSSParser::readColumnWidths | ( | BeagleWksSSParserInternal::Spreadsheet & | sheet | ) |
| protected

read the columns widths

Referenced by BeagleWksSSParserInternal::SubDocument, and readSpreadsheet().

## ◆ readFormula()

bool BeagleWksSSParser::readFormula | ( | BeagleWksSSParserInternal::Spreadsheet & | sheet | ) |
| protected

read the differents formula

Referenced by BeagleWksSSParserInternal::SubDocument, and readSpreadsheet().

## ◆ readPrintInfo()

bool BeagleWksSSParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by BeagleWksSSParserInternal::SubDocument, checkHeader(), and createZones().

## ◆ readRowSheet()

bool BeagleWksSSParser::readRowSheet | ( | BeagleWksSSParserInternal::Spreadsheet & | sheet | ) |
| protected

read the spreadsheet row

Referenced by BeagleWksSSParserInternal::SubDocument, and readSpreadsheet().

## ◆ readRSRCZones()

bool BeagleWksSSParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by BeagleWksSSParserInternal::SubDocument, and createZones().

## ◆ readSpreadsheet()

bool BeagleWksSSParser::readSpreadsheet | ( |  | ) |
| protected

read the spreadsheet zone

Referenced by BeagleWksSSParserInternal::SubDocument, and createZones().

## ◆ readZone0()

bool BeagleWksSSParser::readZone0 | ( |  | ) |
| protected

read an unknown zone ( which appears before and after the columns's width zone )

Referenced by BeagleWksSSParserInternal::SubDocument, and readSpreadsheet().

## ◆ rsrcAscii()

libmwaw::DebugFile & BeagleWksSSParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by BeagleWksSSParserInternal::SubDocument.

## ◆ rsrcInput()

MWAWInputStreamPtr BeagleWksSSParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by BeagleWksSSParserInternal::SubDocument.

## ◆ sendFrame()

bool BeagleWksSSParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |
| protected

try to send a frame

Referenced by BeagleWksSSParserInternal::SubDocument, and sendPageFrames().

## ◆ sendPageFrames()

bool BeagleWksSSParser::sendPageFrames | ( |  | ) |
| protected

try to send the page graphic

Referenced by BeagleWksSSParserInternal::SubDocument, and sendSpreadsheet().

## ◆ sendPicture()

bool BeagleWksSSParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = MWAWGraphicStyle::emptyStyle() )
| protected

try to send a picture

Referenced by BeagleWksSSParserInternal::SubDocument, and sendFrame().

## ◆ sendSpreadsheet()

bool BeagleWksSSParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the main spreadsheet

Referenced by BeagleWksSSParserInternal::SubDocument, and parse().

## ◆ sendText()

bool BeagleWksSSParser::sendText | ( | MWAWEntry const & | entry,
|  | bool | headerFooter = false )
| protected

try to send a text zone

Referenced by BeagleWksSSParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## ◆ BeagleWksSSParserInternal::Chart

friend struct BeagleWksSSParserInternal::Chart
| friend

## ◆ BeagleWksSSParserInternal::SubDocument

friend class BeagleWksSSParserInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<BeagleWksSSParserInternal::State> BeagleWksSSParser::m_state
| protected

the state

Referenced by BeagleWksSSParser(), checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), newPage(), readCellSheet(), readChart(), readSpreadsheet(), and sendSpreadsheet().

## ◆ m_structureManager

std::shared_ptr<BeagleWksStructManager> BeagleWksSSParser::m_structureManager
| protected

the structure manager

Referenced by BeagleWksSSParser(), createDocument(), createZones(), init(), readFormula(), readRSRCZones(), sendPageFrames(), and sendPicture().

The documentation for this class was generated from the following files:

- BeagleWksSSParser.hxx
- BeagleWksSSParser.cxx